JembossComboPopup.myComboUI (Jemboss API)
Keywords: org.emboss.jemboss.gui.form.JembossComboPopup.myComboUI,JembossComboPopup.myComboUI class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.form
Class JembossComboPopup.myComboUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ComboBoxUI
                  |
                  +--javax.swing.plaf.basic.BasicComboBoxUI
                        |
                        +--org.emboss.jemboss.gui.form.JembossComboPopup.myComboUI

Enclosing class:
  JembossComboPopup

public class JembossComboPopup.myComboUI
extends javax.swing.plaf.basic.BasicComboBoxUI

Create scroller

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`arrowButton, cachedMinimumSize, comboBox, currentValuePane, editor, focusListener, hasFocus, isMinimumSizeDirty, itemListener, keyListener, listBox, listDataListener, popup, popupKeyListener, popupMouseListener, popupMouseMotionListener, propertyChangeListener`

Constructor Summary
`JembossComboPopup.myComboUI()`

Method Summary
`protected javax.swing.plaf.basic.ComboPopup` | `createPopup()`

Methods inherited from class javax.swing.plaf.basic.BasicComboBoxUI
`addEditor, configureArrowButton, configureEditor, createArrowButton, createEditor, createFocusListener, createItemListener, createKeyListener, createLayoutManager, createListDataListener, createPropertyChangeListener, createRenderer, createUI, getAccessibleChild, getAccessibleChildrenCount, getDefaultSize, getDisplaySize, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, isFocusTraversable, isNavigationKey, isPopupVisible, paint, paintCurrentValue, paintCurrentValueBackground, rectangleForCurrentValue, removeEditor, selectNextPossibleValue, selectPreviousPossibleValue, setPopupVisible, toggleOpenClose, unconfigureArrowButton, unconfigureEditor, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JembossComboPopup.myComboUI

    public JembossComboPopup.myComboUI()

Method Detail

### createPopup

    protected javax.swing.plaf.basic.ComboPopup createPopup()

  Overrides:
    `createPopup` in class `javax.swing.plaf.basic.BasicComboBoxUI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD